### Class

# Gtk MultiSelection

#### Description [src]

    final class Gtk.MultiSelection : GObject.Object {
      /* No available fields */
    }

`GtkMultiSelection` is a `GtkSelectionModel` that allows selecting multiple elements.

#### Hierarchy

#### Ancestors

- GObject

#### Implements

- GListModel
- GtkSelectionModel

#### Constructors

###### gtk_multi_selection_new

Creates a new selection to handle `model`.

#### Instance methods

###### gtk_multi_selection_get_model

Returns the underlying model of `self`.

###### gtk_multi_selection_set_model

Sets the model that `self` should wrap.

##### Methods inherited from GtkSelectionModel (11)

###### gtk_selection_model_get_selection

Gets the set containing all currently selected items in the model.

###### gtk_selection_model_get_selection_in_range

Gets the set of selected items in a range.

###### gtk_selection_model_is_selected

Checks if the given item is selected.

###### gtk_selection_model_select_all

Requests to select all items in the model.

###### gtk_selection_model_select_item

Requests to select an item in the model.

###### gtk_selection_model_select_range

Requests to select a range of items in the model.

###### gtk_selection_model_selection_changed

Helper function for implementations of `GtkSelectionModel`.

###### gtk_selection_model_set_selection

Make selection changes.

###### gtk_selection_model_unselect_all

Requests to unselect all items in the model.

###### gtk_selection_model_unselect_item

Requests to unselect an item in the model.

###### gtk_selection_model_unselect_range

Requests to unselect a range of items in the model.

#### Properties

###### Gtk.MultiSelection:model

The list managed by this selection.

#### Class structure

    struct GtkMultiSelectionClass {
      GObjectClass parent_class;

    }

###### Class members

`parent_class` |
    GObjectClass
| No description available.